#pragma once
#include "Unit.h"
#include "IDAReplayObserver.h"

class IDAReplayObserver;

class UnitInformation: public Unit
{
	mutable IDAReplayObserver * m_replayObserver;



public:
		UnitInformation(const sc2::Unit * unit, IDAReplayObserver & replayObserver);

		std::string getType() const;
		bool hasTarget() const;
		UnitInformation getTarget() const;

};