#pragma once

#include <deque>
#include <limits>

#include "Common.h"
#include "UnitInformation.h"

class UnitInformation;

class IDAReplayObserver : public sc2::ReplayObserver
{

	

	void setUnits();
	std::vector<UnitInformation>       m_allUnits;

public:
	IDAReplayObserver();

	

	void OnGameStart() override;
	void OnStep() override;
	void OnGameEnd() override;
	UnitInformation GetUnit(const CCUnitID tag) const;


	const std::vector<UnitInformation> & GetAllUnits() const;

};

